
#ifndef NMM_IMMBoxEventReceiver_HPP
#define NMM_IMMBoxEventReceiver_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/Interface.hpp"
#include "nmm/base/Event.hpp"
#include <memory>


namespace NMM
{

  class IMMBoxEventReceiver : virtual public Interface { 
  public:
    IMMBoxEventReceiver() {  setTypeInfo(TypeInfo(IMMBoxEventReceiver::IMMBoxEventReceiver_type, "NMM")); };

    IMMBoxEventReceiver(NMMObject& parent) : Interface(parent) {  setTypeInfo(TypeInfo(IMMBoxEventReceiver::IMMBoxEventReceiver_type, "NMM")); setEventReceiver(parent); };

    virtual ~IMMBoxEventReceiver() {};

    static const char* IMMBoxEventReceiver_type;

    virtual  string getInterfaceType() const { return IMMBoxEventReceiver_type; }

    Interface* copy() const { return new IMMBoxEventReceiver(*this); }
    static const char* receiveEventID_event;

    virtual Result receiveEventID(const string& id)
      throw(const Exception&);


  };

  typedef auto_ptr<IMMBoxEventReceiver> IMMBoxEventReceiver_var;




}

#endif
