
#include "IPluginManagerImpl.hpp"


namespace NMM
{
  
  void IPluginManagerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IPluginManager::addPluginPath_event, new TEDObject1<IPluginManagerImpl, string, void(IPluginManagerImpl:: * )(const string&), void >(this, &IPluginManagerImpl::addPluginPath));
  
    getEventDispatcher().registerEvent(IPluginManager::loadLibrary_event, new TEDObject1<IPluginManagerImpl, string, void(IPluginManagerImpl:: * )(const string&), void >(this, &IPluginManagerImpl::loadLibrary));
  
    getEventDispatcher().registerEvent(IPluginManager::loadPlugin_event, new TEDObject1<IPluginManagerImpl, string, void(IPluginManagerImpl:: * )(const string&), void >(this, &IPluginManagerImpl::loadPlugin));
  
    getEventDispatcher().registerEvent(IPluginManager::loadExternalPlugins_event, new TEDObject1<IPluginManagerImpl, string, void(IPluginManagerImpl:: * )(const string&), void >(this, &IPluginManagerImpl::loadExternalPlugins));
  
    getEventDispatcher().registerEvent(IPluginManager::removeExternalPlugins_event, new TEDObject1<IPluginManagerImpl, string, void(IPluginManagerImpl:: * )(const string&), void >(this, &IPluginManagerImpl::removeExternalPlugins));
  
    getEventDispatcher().registerEvent(IPluginManager::activateRegistryPart_event, new TEDObject1<IPluginManagerImpl, string, void(IPluginManagerImpl:: * )(const string&), void >(this, &IPluginManagerImpl::activateRegistryPart));
  
    getEventDispatcher().registerEvent(IPluginManager::activateFactoryPart_event, new TEDObject1<IPluginManagerImpl, string, void(IPluginManagerImpl:: * )(const string&), void >(this, &IPluginManagerImpl::activateFactoryPart));
  
    getEventDispatcher().registerEvent(IPluginManager::deactivateRegistryPart_event, new TEDObject1<IPluginManagerImpl, string, void(IPluginManagerImpl:: * )(const string&), void >(this, &IPluginManagerImpl::deactivateRegistryPart));
  
    getEventDispatcher().registerEvent(IPluginManager::deactivateFactoryPart_event, new TEDObject1<IPluginManagerImpl, string, void(IPluginManagerImpl:: * )(const string&), void >(this, &IPluginManagerImpl::deactivateFactoryPart));
  
    getEventDispatcher().registerEvent(IPluginManager::removeLibrary_event, new TEDObject1<IPluginManagerImpl, string, void(IPluginManagerImpl:: * )(const string&), void >(this, &IPluginManagerImpl::removeLibrary));
  
    getEventDispatcher().registerEvent(IPluginManager::getPluginID_event, new TEDObject2<IPluginManagerImpl, string, unsigned int, list<ObjectID > (IPluginManagerImpl:: * )(const string&, const unsigned int&), list<ObjectID >  >(this, &IPluginManagerImpl::getPluginID));
  
    getEventDispatcher().registerEvent(IPluginManager::getPlugins_event, new TEDObject0<IPluginManagerImpl, list<string > (IPluginManagerImpl:: * )() const, list<string >  >(this, &IPluginManagerImpl::getPlugins));
  
    getEventDispatcher().registerEvent(IPluginManager::getUsedPlugins_event, new TEDObject0<IPluginManagerImpl, list<string > (IPluginManagerImpl:: * )() const, list<string >  >(this, &IPluginManagerImpl::getUsedPlugins));
  
    getEventDispatcher().registerEvent(IPluginManager::getPluginPath_event, new TEDObject0<IPluginManagerImpl, list<string > (IPluginManagerImpl:: * )() const, list<string >  >(this, &IPluginManagerImpl::getPluginPath));

  }

}


