
#include "ISessionImpl.hpp"


namespace NMM
{
  
  void ISessionImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISession::getGraphDescription_event, new TEDObject0<ISessionImpl, GraphDescription*(ISessionImpl:: * )() const, GraphDescription* >(this, &ISessionImpl::getGraphDescription));
  
    getEventDispatcher().registerEvent(ISession::getCompositeNode_event, new TEDObject0<ISessionImpl, ICompositeNode*(ISessionImpl:: * )() const, ICompositeNode* >(this, &ISessionImpl::getCompositeNode));
  
    getEventDispatcher().registerEvent(ISession::getSourceSynchronizer_event, new TEDObject0<ISessionImpl, ISourceSynchronizer*(ISessionImpl:: * )() const, ISourceSynchronizer* >(this, &ISessionImpl::getSourceSynchronizer));
  
    getEventDispatcher().registerEvent(ISession::getSinkSynchronizer_event, new TEDObject0<ISessionImpl, ISinkSynchronizer*(ISessionImpl:: * )() const, ISinkSynchronizer* >(this, &ISessionImpl::getSinkSynchronizer));
  
    getEventDispatcher().registerEvent(ISession::setSinkSynchronizer_event, new TEDObject1<ISessionImpl, ISinkSynchronizer, void(ISessionImpl:: * )(const ISinkSynchronizer&), void >(this, &ISessionImpl::setSinkSynchronizer));
  
    getEventDispatcher().registerEvent(ISession::setSourceSynchronizer_event, new TEDObject1<ISessionImpl, ISourceSynchronizer, void(ISessionImpl:: * )(const ISourceSynchronizer&), void >(this, &ISessionImpl::setSourceSynchronizer));
  
    getEventDispatcher().registerEvent(ISession::setGraphDescription_event, new TEDObject1<ISessionImpl, GraphDescription, void(ISessionImpl:: * )(const GraphDescription&), void >(this, &ISessionImpl::setGraphDescription));
  
    getEventDispatcher().registerEvent(ISession::setCompositeNode_event, new TEDObject1<ISessionImpl, ICompositeNode, void(ISessionImpl:: * )(const ICompositeNode&), void >(this, &ISessionImpl::setCompositeNode));
  
    getEventDispatcher().registerEvent(ISession::getMasterGraph_event, new TEDObject0<ISessionImpl, GraphDescription*(ISessionImpl:: * )(), GraphDescription* >(this, &ISessionImpl::getMasterGraph));
  
    getEventDispatcher().registerEvent(ISession::setMasterGraph_event, new TEDObject1<ISessionImpl, GraphDescription, void(ISessionImpl:: * )(const GraphDescription&), void >(this, &ISessionImpl::setMasterGraph));
  
    getEventDispatcher().registerEvent(ISession::realizeGraph_event, new TEDObject0<ISessionImpl, void(ISessionImpl:: * )(), void >(this, &ISessionImpl::realizeGraph));
  
    getEventDispatcher().registerEvent(ISession::activateGraph_event, new TEDObject0<ISessionImpl, void(ISessionImpl:: * )(), void >(this, &ISessionImpl::activateGraph));
  
    getEventDispatcher().registerEvent(ISession::startGraph_event, new TEDObject0<ISessionImpl, void(ISessionImpl:: * )(), void >(this, &ISessionImpl::startGraph));
  
    getEventDispatcher().registerEvent(ISession::stopGraph_event, new TEDObject0<ISessionImpl, void(ISessionImpl:: * )(), void >(this, &ISessionImpl::stopGraph));

  }

}


