
#include "ISeekableImpl.hpp"


namespace NMM
{
  
  void ISeekableImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISeekable::hasPercentSeek_event, new TEDObject0<ISeekableImpl, bool(ISeekableImpl:: * )() const, bool >(this, &ISeekableImpl::hasPercentSeek));
  
    getEventDispatcher().registerEvent(ISeekable::seekPercent_event, new TEDObject1<ISeekableImpl, Rational, void(ISeekableImpl:: * )(const Rational&), void >(this, &ISeekableImpl::seekPercent));
  
    getEventDispatcher().registerEvent(ISeekable::seekPercentTo_event, new TEDObject1<ISeekableImpl, Rational, void(ISeekableImpl:: * )(const Rational&), void >(this, &ISeekableImpl::seekPercentTo));
  
    getEventDispatcher().registerEvent(ISeekable::hasBytesSeek_event, new TEDObject0<ISeekableImpl, bool(ISeekableImpl:: * )() const, bool >(this, &ISeekableImpl::hasBytesSeek));
  
    getEventDispatcher().registerEvent(ISeekable::seekBytes_event, new TEDObject1<ISeekableImpl, int64_t, void(ISeekableImpl:: * )(const int64_t&), void >(this, &ISeekableImpl::seekBytes));
  
    getEventDispatcher().registerEvent(ISeekable::seekBytesTo_event, new TEDObject1<ISeekableImpl, u_int64_t, void(ISeekableImpl:: * )(const u_int64_t&), void >(this, &ISeekableImpl::seekBytesTo));
  
    getEventDispatcher().registerEvent(ISeekable::hasTimeSeek_event, new TEDObject0<ISeekableImpl, bool(ISeekableImpl:: * )() const, bool >(this, &ISeekableImpl::hasTimeSeek));
  
    getEventDispatcher().registerEvent(ISeekable::seekTime_event, new TEDObject1<ISeekableImpl, Interval, void(ISeekableImpl:: * )(const Interval&), void >(this, &ISeekableImpl::seekTime));
  
    getEventDispatcher().registerEvent(ISeekable::seekTimeTo_event, new TEDObject1<ISeekableImpl, Time, void(ISeekableImpl:: * )(const Time&), void >(this, &ISeekableImpl::seekTimeTo));

  }

}


