
#include "IBufferDropImpl.hpp"


namespace NMM
{
  
  void IBufferDropImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IBufferDrop::setBufferToDrop_event, new TEDObject1<IBufferDropImpl, unsigned int, void(IBufferDropImpl:: * )(const unsigned int&), void >(this, &IBufferDropImpl::setBufferToDrop));
  
    getEventDispatcher().registerEvent(IBufferDrop::setDropRatio_event, new TEDObject2<IBufferDropImpl, unsigned int, unsigned int, void(IBufferDropImpl:: * )(const unsigned int&, const unsigned int&), void >(this, &IBufferDropImpl::setDropRatio));

  }
  
  void ITimedBufferDropImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ITimedBufferDrop::addInOutPoint_event, new TEDObject4<ITimedBufferDropImpl, unsigned int, unsigned int, unsigned int, unsigned int, void(ITimedBufferDropImpl:: * )(const unsigned int&, const unsigned int&, const unsigned int&, const unsigned int&), void >(this, &ITimedBufferDropImpl::addInOutPoint));
    getEventDispatcher().addLimited(ITimedBufferDrop::addInOutPoint_event, INode::CONSTRUCTED);
  
    getEventDispatcher().registerEvent(ITimedBufferDrop::useRelativeInOutPoints_event, new TEDObject1<ITimedBufferDropImpl, bool, void(ITimedBufferDropImpl:: * )(const bool&), void >(this, &ITimedBufferDropImpl::useRelativeInOutPoints));
    getEventDispatcher().addLimited(ITimedBufferDrop::useRelativeInOutPoints_event, INode::CONSTRUCTED);
  
    getEventDispatcher().registerEvent(ITimedBufferDrop::isRelativeInOutPoints_event, new TEDObject0<ITimedBufferDropImpl, bool(ITimedBufferDropImpl:: * )(), bool >(this, &ITimedBufferDropImpl::isRelativeInOutPoints));

  }

}


