
#include "IUDPControlImpl.hpp"


namespace NMM
{
  
  void IUDPControlImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IUDPControl::setUsePacketStream_event, new TEDObject1<IUDPControlImpl, bool, void(IUDPControlImpl:: * )(const bool&), void >(this, &IUDPControlImpl::setUsePacketStream));
  
    getEventDispatcher().registerEvent(IUDPControl::getUsePacketStream_event, new TEDObject0<IUDPControlImpl, bool(IUDPControlImpl:: * )() const, bool >(this, &IUDPControlImpl::getUsePacketStream));
  
    getEventDispatcher().registerEvent(IUDPControl::setPacketSize_event, new TEDObject1<IUDPControlImpl, ssize_t, void(IUDPControlImpl:: * )(const ssize_t&), void >(this, &IUDPControlImpl::setPacketSize));
  
    getEventDispatcher().registerEvent(IUDPControl::getPacketSize_event, new TEDObject0<IUDPControlImpl, ssize_t(IUDPControlImpl:: * )() const, ssize_t >(this, &IUDPControlImpl::getPacketSize));
  
    getEventDispatcher().registerEvent(IUDPControl::setMaxPartialMessages_event, new TEDObject1<IUDPControlImpl, unsigned int, void(IUDPControlImpl:: * )(const unsigned int&), void >(this, &IUDPControlImpl::setMaxPartialMessages));
  
    getEventDispatcher().registerEvent(IUDPControl::getMaxPartialMessages_event, new TEDObject0<IUDPControlImpl, unsigned int(IUDPControlImpl:: * )() const, unsigned int >(this, &IUDPControlImpl::getMaxPartialMessages));
  
    getEventDispatcher().registerEvent(IUDPControl::resetStatistics_event, new TEDObject0<IUDPControlImpl, void(IUDPControlImpl:: * )(), void >(this, &IUDPControlImpl::resetStatistics));
  
    getEventDispatcher().registerEvent(IUDPControl::getTotalSentBytes_event, new TEDObject0<IUDPControlImpl, ssize_t(IUDPControlImpl:: * )() const, ssize_t >(this, &IUDPControlImpl::getTotalSentBytes));
  
    getEventDispatcher().registerEvent(IUDPControl::getTotalReceivedBytes_event, new TEDObject0<IUDPControlImpl, ssize_t(IUDPControlImpl:: * )() const, ssize_t >(this, &IUDPControlImpl::getTotalReceivedBytes));
  
    getEventDispatcher().registerEvent(IUDPControl::getTotalSentPackets_event, new TEDObject0<IUDPControlImpl, unsigned int(IUDPControlImpl:: * )() const, unsigned int >(this, &IUDPControlImpl::getTotalSentPackets));
  
    getEventDispatcher().registerEvent(IUDPControl::getTotalReceivedPackets_event, new TEDObject0<IUDPControlImpl, unsigned int(IUDPControlImpl:: * )() const, unsigned int >(this, &IUDPControlImpl::getTotalReceivedPackets));
  
    getEventDispatcher().registerEvent(IUDPControl::getTotalDiscardedPackets_event, new TEDObject0<IUDPControlImpl, unsigned int(IUDPControlImpl:: * )() const, unsigned int >(this, &IUDPControlImpl::getTotalDiscardedPackets));
  
    getEventDispatcher().registerEvent(IUDPControl::getTotalLostPackets_event, new TEDObject0<IUDPControlImpl, unsigned int(IUDPControlImpl:: * )() const, unsigned int >(this, &IUDPControlImpl::getTotalLostPackets));

  }

}


