
#include "ISVGEncodeImpl.hpp"


namespace NMM
{
  
  void ISVGEncodeImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISVGEncode::setColor_event, new TEDObject3<ISVGEncodeImpl, int, int, int, void(ISVGEncodeImpl:: * )(const int&, const int&, const int&), void >(this, &ISVGEncodeImpl::setColor));
  
    getEventDispatcher().registerEvent(ISVGEncode::setDimension_event, new TEDObject2<ISVGEncodeImpl, int, int, void(ISVGEncodeImpl:: * )(const int&, const int&), void >(this, &ISVGEncodeImpl::setDimension));
  
    getEventDispatcher().registerEvent(ISVGEncode::getPixelTaken_event, new TEDObject0<ISVGEncodeImpl, int(ISVGEncodeImpl:: * )(), int >(this, &ISVGEncodeImpl::getPixelTaken));
  
    getEventDispatcher().registerEvent(ISVGEncode::setPixelTaken_event, new TEDObject1<ISVGEncodeImpl, int, void(ISVGEncodeImpl:: * )(const int&), void >(this, &ISVGEncodeImpl::setPixelTaken));
  
    getEventDispatcher().registerEvent(ISVGEncode::setWithFile_event, new TEDObject1<ISVGEncodeImpl, bool, void(ISVGEncodeImpl:: * )(const bool&), void >(this, &ISVGEncodeImpl::setWithFile));
  
    getEventDispatcher().registerEvent(ISVGEncode::setStrokeWidth_event, new TEDObject1<ISVGEncodeImpl, int, void(ISVGEncodeImpl:: * )(const int&), void >(this, &ISVGEncodeImpl::setStrokeWidth));
  
    getEventDispatcher().registerEvent(ISVGEncode::drawSVGLine_event, new TEDObject3<ISVGEncodeImpl, int, int, int, void(ISVGEncodeImpl:: * )(const int&, const int&, const int&), void >(this, &ISVGEncodeImpl::drawSVGLine));
  
    getEventDispatcher().registerEvent(ISVGEncode::drawSVGRectangle_event, new TEDObject3<ISVGEncodeImpl, int, int, int, void(ISVGEncodeImpl:: * )(const int&, const int&, const int&), void >(this, &ISVGEncodeImpl::drawSVGRectangle));
  
    getEventDispatcher().registerEvent(ISVGEncode::drawSVGFreehand_event, new TEDObject3<ISVGEncodeImpl, int, int, int, void(ISVGEncodeImpl:: * )(const int&, const int&, const int&), void >(this, &ISVGEncodeImpl::drawSVGFreehand));
  
    getEventDispatcher().registerEvent(ISVGEncode::drawSVGPointer_event, new TEDObject3<ISVGEncodeImpl, int, int, int, void(ISVGEncodeImpl:: * )(const int&, const int&, const int&), void >(this, &ISVGEncodeImpl::drawSVGPointer));
  
    getEventDispatcher().registerEvent(ISVGEncode::newAnnotation_event, new TEDObject0<ISVGEncodeImpl, void(ISVGEncodeImpl:: * )(), void >(this, &ISVGEncodeImpl::newAnnotation));
  
    getEventDispatcher().registerEvent(ISVGEncode::clearAnnotation_event, new TEDObject0<ISVGEncodeImpl, void(ISVGEncodeImpl:: * )(), void >(this, &ISVGEncodeImpl::clearAnnotation));
  
    getEventDispatcher().registerEvent(ISVGEncode::undo_event, new TEDObject0<ISVGEncodeImpl, void(ISVGEncodeImpl:: * )(), void >(this, &ISVGEncodeImpl::undo));
  
    getEventDispatcher().registerEvent(ISVGEncode::redo_event, new TEDObject0<ISVGEncodeImpl, void(ISVGEncodeImpl:: * )(), void >(this, &ISVGEncodeImpl::redo));
  
    getEventDispatcher().registerEvent(ISVGEncode::repaint_event, new TEDObject0<ISVGEncodeImpl, void(ISVGEncodeImpl:: * )(), void >(this, &ISVGEncodeImpl::repaint));

  }

}


