
#ifndef NMM_IBrightnessImpl_HPP
#define NMM_IBrightnessImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IBrightness.hpp"


namespace NMM
{

  class IBrightnessImpl  : public virtual NMMObject { 
  public:
    IBrightnessImpl() { addInterface(new IBrightness(*this)); registerEvents(); };

    virtual ~IBrightnessImpl() {};

  protected:

    virtual void setBrightness(const float& brightness) = 0;


  private:
    void registerEvents();
  };

}

#endif
