
#ifndef NMM_ITextDisplayImpl_HPP
#define NMM_ITextDisplayImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "ITextDisplay.hpp"

#include "ISetOffsetImpl.hpp"

namespace NMM
{

  class ITextDisplayImpl  : virtual public ISetOffsetImpl { 
  public:
    ITextDisplayImpl() { addInterface(new ITextDisplay(*this)); registerEvents(); };

    virtual ~ITextDisplayImpl() {};

  protected:

    virtual void setFontImage(const string& path) = 0;


  private:
    void registerEvents();
  };

}

#endif
