
#ifndef NMM_ICreateImageImpl_HPP
#define NMM_ICreateImageImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "ICreateImage.hpp"


namespace NMM
{

  class ICreateImageImpl  : public virtual NMMObject { 
  public:
    ICreateImageImpl() { addInterface(new ICreateImage(*this)); registerEvents(); };

    virtual ~ICreateImageImpl() {};

  protected:

    virtual Result createImage(const unsigned int& color, const unsigned int& w, const unsigned int& h) = 0;


  private:
    void registerEvents();
  };

}

#endif
