
#include "IMagickManipulationNodeImpl.hpp"


namespace NMM
{
  
  void IMagickManipulationNodeImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::setBorderColor_event, new TEDObject3<IMagickManipulationNodeImpl, double, double, double, void(IMagickManipulationNodeImpl:: * )(const double&, const double&, const double&), void >(this, &IMagickManipulationNodeImpl::setBorderColor));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::clearManipulators_event, new TEDObject0<IMagickManipulationNodeImpl, void(IMagickManipulationNodeImpl:: * )(), void >(this, &IMagickManipulationNodeImpl::clearManipulators));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::adaptiveThreshold_event, new TEDObject3<IMagickManipulationNodeImpl, unsigned int, unsigned int, unsigned int, void(IMagickManipulationNodeImpl:: * )(const unsigned int&, const unsigned int&, const unsigned int&), void >(this, &IMagickManipulationNodeImpl::adaptiveThreshold));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::addNoise_event, new TEDObject1<IMagickManipulationNodeImpl, string, void(IMagickManipulationNodeImpl:: * )(const string&), void >(this, &IMagickManipulationNodeImpl::addNoise));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::annotate_event, new TEDObject4<IMagickManipulationNodeImpl, string, string, string, double, void(IMagickManipulationNodeImpl:: * )(const string&, const string&, const string&, const double&), void >(this, &IMagickManipulationNodeImpl::annotate));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::blur_event, new TEDObject2<IMagickManipulationNodeImpl, double, double, void(IMagickManipulationNodeImpl:: * )(const double&, const double&), void >(this, &IMagickManipulationNodeImpl::blur));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::border_event, new TEDObject1<IMagickManipulationNodeImpl, string, void(IMagickManipulationNodeImpl:: * )(const string&), void >(this, &IMagickManipulationNodeImpl::border));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::channel_event, new TEDObject1<IMagickManipulationNodeImpl, string, void(IMagickManipulationNodeImpl:: * )(const string&), void >(this, &IMagickManipulationNodeImpl::channel));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::charcoal_event, new TEDObject2<IMagickManipulationNodeImpl, double, double, void(IMagickManipulationNodeImpl:: * )(const double&, const double&), void >(this, &IMagickManipulationNodeImpl::charcoal));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::chop_event, new TEDObject1<IMagickManipulationNodeImpl, string, void(IMagickManipulationNodeImpl:: * )(const string&), void >(this, &IMagickManipulationNodeImpl::chop));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::colorize_event, new TEDObject6<IMagickManipulationNodeImpl, unsigned int, unsigned int, unsigned int, double, double, double, void(IMagickManipulationNodeImpl:: * )(const unsigned int&, const unsigned int&, const unsigned int&, const double&, const double&, const double&), void >(this, &IMagickManipulationNodeImpl::colorize));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::comment_event, new TEDObject1<IMagickManipulationNodeImpl, string, void(IMagickManipulationNodeImpl:: * )(const string&), void >(this, &IMagickManipulationNodeImpl::comment));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::contrast_event, new TEDObject1<IMagickManipulationNodeImpl, unsigned int, void(IMagickManipulationNodeImpl:: * )(const unsigned int&), void >(this, &IMagickManipulationNodeImpl::contrast));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::crop_event, new TEDObject1<IMagickManipulationNodeImpl, string, void(IMagickManipulationNodeImpl:: * )(const string&), void >(this, &IMagickManipulationNodeImpl::crop));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::cycleColormap_event, new TEDObject1<IMagickManipulationNodeImpl, int, void(IMagickManipulationNodeImpl:: * )(const int&), void >(this, &IMagickManipulationNodeImpl::cycleColormap));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::despeckle_event, new TEDObject0<IMagickManipulationNodeImpl, void(IMagickManipulationNodeImpl:: * )(), void >(this, &IMagickManipulationNodeImpl::despeckle));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::edge_event, new TEDObject1<IMagickManipulationNodeImpl, unsigned int, void(IMagickManipulationNodeImpl:: * )(const unsigned int&), void >(this, &IMagickManipulationNodeImpl::edge));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::emboss_event, new TEDObject2<IMagickManipulationNodeImpl, double, double, void(IMagickManipulationNodeImpl:: * )(const double&, const double&), void >(this, &IMagickManipulationNodeImpl::emboss));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::enhance_event, new TEDObject0<IMagickManipulationNodeImpl, void(IMagickManipulationNodeImpl:: * )(), void >(this, &IMagickManipulationNodeImpl::enhance));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::equalize_event, new TEDObject0<IMagickManipulationNodeImpl, void(IMagickManipulationNodeImpl:: * )(), void >(this, &IMagickManipulationNodeImpl::equalize));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::erase_event, new TEDObject0<IMagickManipulationNodeImpl, void(IMagickManipulationNodeImpl:: * )(), void >(this, &IMagickManipulationNodeImpl::erase));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::flip_event, new TEDObject0<IMagickManipulationNodeImpl, void(IMagickManipulationNodeImpl:: * )(), void >(this, &IMagickManipulationNodeImpl::flip));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::floodFillColor_event, new TEDObject5<IMagickManipulationNodeImpl, unsigned int, unsigned int, double, double, double, void(IMagickManipulationNodeImpl:: * )(const unsigned int&, const unsigned int&, const double&, const double&, const double&), void >(this, &IMagickManipulationNodeImpl::floodFillColor));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::floodFillOpacity_event, new TEDObject4<IMagickManipulationNodeImpl, long, long, unsigned int, string, void(IMagickManipulationNodeImpl:: * )(const long&, const long&, const unsigned int&, const string&), void >(this, &IMagickManipulationNodeImpl::floodFillOpacity));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::flop_event, new TEDObject0<IMagickManipulationNodeImpl, void(IMagickManipulationNodeImpl:: * )(), void >(this, &IMagickManipulationNodeImpl::flop));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::frame_event, new TEDObject6<IMagickManipulationNodeImpl, unsigned int, unsigned int, int, int, int, int, void(IMagickManipulationNodeImpl:: * )(const unsigned int&, const unsigned int&, const int&, const int&, const int&, const int&), void >(this, &IMagickManipulationNodeImpl::frame));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::gamma_event, new TEDObject3<IMagickManipulationNodeImpl, double, double, double, void(IMagickManipulationNodeImpl:: * )(const double&, const double&, const double&), void >(this, &IMagickManipulationNodeImpl::gamma));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::gaussianBlur_event, new TEDObject2<IMagickManipulationNodeImpl, double, double, void(IMagickManipulationNodeImpl:: * )(const double&, const double&), void >(this, &IMagickManipulationNodeImpl::gaussianBlur));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::implode_event, new TEDObject1<IMagickManipulationNodeImpl, double, void(IMagickManipulationNodeImpl:: * )(const double&), void >(this, &IMagickManipulationNodeImpl::implode));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::label_event, new TEDObject1<IMagickManipulationNodeImpl, string, void(IMagickManipulationNodeImpl:: * )(const string&), void >(this, &IMagickManipulationNodeImpl::label));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::magnify_event, new TEDObject0<IMagickManipulationNodeImpl, void(IMagickManipulationNodeImpl:: * )(), void >(this, &IMagickManipulationNodeImpl::magnify));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::matteFloodfill_event, new TEDObject7<IMagickManipulationNodeImpl, double, double, double, unsigned int, int, int, string, void(IMagickManipulationNodeImpl:: * )(const double&, const double&, const double&, const unsigned int&, const int&, const int&, const string&), void >(this, &IMagickManipulationNodeImpl::matteFloodfill));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::medianFilter_event, new TEDObject1<IMagickManipulationNodeImpl, double, void(IMagickManipulationNodeImpl:: * )(const double&), void >(this, &IMagickManipulationNodeImpl::medianFilter));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::minify_event, new TEDObject0<IMagickManipulationNodeImpl, void(IMagickManipulationNodeImpl:: * )(), void >(this, &IMagickManipulationNodeImpl::minify));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::modulate_event, new TEDObject3<IMagickManipulationNodeImpl, double, double, double, void(IMagickManipulationNodeImpl:: * )(const double&, const double&, const double&), void >(this, &IMagickManipulationNodeImpl::modulate));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::negate_event, new TEDObject0<IMagickManipulationNodeImpl, void(IMagickManipulationNodeImpl:: * )(), void >(this, &IMagickManipulationNodeImpl::negate));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::normalize_event, new TEDObject0<IMagickManipulationNodeImpl, void(IMagickManipulationNodeImpl:: * )(), void >(this, &IMagickManipulationNodeImpl::normalize));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::oilPaint_event, new TEDObject1<IMagickManipulationNodeImpl, unsigned int, void(IMagickManipulationNodeImpl:: * )(const unsigned int&), void >(this, &IMagickManipulationNodeImpl::oilPaint));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::opacity_event, new TEDObject1<IMagickManipulationNodeImpl, unsigned int, void(IMagickManipulationNodeImpl:: * )(const unsigned int&), void >(this, &IMagickManipulationNodeImpl::opacity));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::opaque_event, new TEDObject6<IMagickManipulationNodeImpl, double, double, double, double, double, double, void(IMagickManipulationNodeImpl:: * )(const double&, const double&, const double&, const double&, const double&, const double&), void >(this, &IMagickManipulationNodeImpl::opaque));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::quantize_event, new TEDObject1<IMagickManipulationNodeImpl, bool, void(IMagickManipulationNodeImpl:: * )(const bool&), void >(this, &IMagickManipulationNodeImpl::quantize));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::raise_event, new TEDObject2<IMagickManipulationNodeImpl, string, bool, void(IMagickManipulationNodeImpl:: * )(const string&, const bool&), void >(this, &IMagickManipulationNodeImpl::raise));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::reduceNoise_event, new TEDObject1<IMagickManipulationNodeImpl, unsigned int, void(IMagickManipulationNodeImpl:: * )(const unsigned int&), void >(this, &IMagickManipulationNodeImpl::reduceNoise));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::roll_event, new TEDObject2<IMagickManipulationNodeImpl, int, int, void(IMagickManipulationNodeImpl:: * )(const int&, const int&), void >(this, &IMagickManipulationNodeImpl::roll));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::rotate_event, new TEDObject1<IMagickManipulationNodeImpl, double, void(IMagickManipulationNodeImpl:: * )(const double&), void >(this, &IMagickManipulationNodeImpl::rotate));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::sample_event, new TEDObject1<IMagickManipulationNodeImpl, string, void(IMagickManipulationNodeImpl:: * )(const string&), void >(this, &IMagickManipulationNodeImpl::sample));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::scale_event, new TEDObject1<IMagickManipulationNodeImpl, string, void(IMagickManipulationNodeImpl:: * )(const string&), void >(this, &IMagickManipulationNodeImpl::scale));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::segment_event, new TEDObject2<IMagickManipulationNodeImpl, double, double, void(IMagickManipulationNodeImpl:: * )(const double&, const double&), void >(this, &IMagickManipulationNodeImpl::segment));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::shade_event, new TEDObject3<IMagickManipulationNodeImpl, double, double, bool, void(IMagickManipulationNodeImpl:: * )(const double&, const double&, const bool&), void >(this, &IMagickManipulationNodeImpl::shade));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::sharpen_event, new TEDObject2<IMagickManipulationNodeImpl, double, double, void(IMagickManipulationNodeImpl:: * )(const double&, const double&), void >(this, &IMagickManipulationNodeImpl::sharpen));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::shave_event, new TEDObject1<IMagickManipulationNodeImpl, string, void(IMagickManipulationNodeImpl:: * )(const string&), void >(this, &IMagickManipulationNodeImpl::shave));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::shear_event, new TEDObject2<IMagickManipulationNodeImpl, double, double, void(IMagickManipulationNodeImpl:: * )(const double&, const double&), void >(this, &IMagickManipulationNodeImpl::shear));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::solarize_event, new TEDObject1<IMagickManipulationNodeImpl, double, void(IMagickManipulationNodeImpl:: * )(const double&), void >(this, &IMagickManipulationNodeImpl::solarize));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::spread_event, new TEDObject1<IMagickManipulationNodeImpl, unsigned int, void(IMagickManipulationNodeImpl:: * )(const unsigned int&), void >(this, &IMagickManipulationNodeImpl::spread));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::swirl_event, new TEDObject1<IMagickManipulationNodeImpl, double, void(IMagickManipulationNodeImpl:: * )(const double&), void >(this, &IMagickManipulationNodeImpl::swirl));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::threshold_event, new TEDObject1<IMagickManipulationNodeImpl, double, void(IMagickManipulationNodeImpl:: * )(const double&), void >(this, &IMagickManipulationNodeImpl::threshold));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::transform_event, new TEDObject2<IMagickManipulationNodeImpl, string, string, void(IMagickManipulationNodeImpl:: * )(const string&, const string&), void >(this, &IMagickManipulationNodeImpl::transform));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::transparent_event, new TEDObject3<IMagickManipulationNodeImpl, double, double, double, void(IMagickManipulationNodeImpl:: * )(const double&, const double&, const double&), void >(this, &IMagickManipulationNodeImpl::transparent));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::trim_event, new TEDObject0<IMagickManipulationNodeImpl, void(IMagickManipulationNodeImpl:: * )(), void >(this, &IMagickManipulationNodeImpl::trim));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::unsharpmask_event, new TEDObject4<IMagickManipulationNodeImpl, double, double, double, double, void(IMagickManipulationNodeImpl:: * )(const double&, const double&, const double&, const double&), void >(this, &IMagickManipulationNodeImpl::unsharpmask));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::wave_event, new TEDObject2<IMagickManipulationNodeImpl, double, double, void(IMagickManipulationNodeImpl:: * )(const double&, const double&), void >(this, &IMagickManipulationNodeImpl::wave));
  
    getEventDispatcher().registerEvent(IMagickManipulationNode::zoom_event, new TEDObject1<IMagickManipulationNodeImpl, string, void(IMagickManipulationNodeImpl:: * )(const string&), void >(this, &IMagickManipulationNodeImpl::zoom));

  }

}


