
#include "IWidgetImpl.hpp"


namespace NMM
{
  
  void IWidgetImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IWidget::selectRight_event, new TEDObject0<IWidgetImpl, void(IWidgetImpl:: * )(), void >(this, &IWidgetImpl::selectRight));
  
    getEventDispatcher().registerEvent(IWidget::selectLeft_event, new TEDObject0<IWidgetImpl, void(IWidgetImpl:: * )(), void >(this, &IWidgetImpl::selectLeft));
  
    getEventDispatcher().registerEvent(IWidget::selectUp_event, new TEDObject0<IWidgetImpl, void(IWidgetImpl:: * )(), void >(this, &IWidgetImpl::selectUp));
  
    getEventDispatcher().registerEvent(IWidget::selectDown_event, new TEDObject0<IWidgetImpl, void(IWidgetImpl:: * )(), void >(this, &IWidgetImpl::selectDown));
  
    getEventDispatcher().registerEvent(IWidget::selectPush_event, new TEDObject0<IWidgetImpl, void(IWidgetImpl:: * )(), void >(this, &IWidgetImpl::selectPush));
  
    getEventDispatcher().registerEvent(IWidget::getWidgetID_event, new TEDObject0<IWidgetImpl, int(IWidgetImpl:: * )() const, int >(this, &IWidgetImpl::getWidgetID));
  
    getEventDispatcher().registerEvent(IWidget::setPosition_event, new TEDObject2<IWidgetImpl, unsigned int, unsigned int, void(IWidgetImpl:: * )(const unsigned int&, const unsigned int&), void >(this, &IWidgetImpl::setPosition));
  
    getEventDispatcher().registerEvent(IWidget::setDimension_event, new TEDObject2<IWidgetImpl, unsigned int, unsigned int, void(IWidgetImpl:: * )(const unsigned int&, const unsigned int&), void >(this, &IWidgetImpl::setDimension));
  
    getEventDispatcher().registerEvent(IWidget::getPosition_event, new TEDObject2<IWidgetImpl, unsigned int, unsigned int, void(IWidgetImpl:: * )(unsigned int&, unsigned int&) const, void >(this, &IWidgetImpl::getPosition));
  
    getEventDispatcher().registerEvent(IWidget::getDimension_event, new TEDObject2<IWidgetImpl, unsigned int, unsigned int, void(IWidgetImpl:: * )(unsigned int&, unsigned int&) const, void >(this, &IWidgetImpl::getDimension));

  }

}


