
#ifndef NMM_IDVBSimulatorImpl_HPP
#define NMM_IDVBSimulatorImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IDVBSimulator.hpp"

#include "nmm/interfaces/base/INodeImpl.hpp"
#include "ITVCardImpl.hpp"

namespace NMM
{

  class IDVBSimulatorImpl  : virtual public ITVCardImpl { 
  public:
    IDVBSimulatorImpl() { addInterface(new IDVBSimulator(*this)); registerEvents(); };

    virtual ~IDVBSimulatorImpl() {};

  protected:

    virtual void setWorkingDirectory(const string& dir) /* limited(INode::CONSTRUCTED) */ = 0;


  private:
    void registerEvents();
  };

}

#endif
