
#ifndef NMM_ITransportStrategyImpl_HPP
#define NMM_ITransportStrategyImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "ITransportStrategy.hpp"


namespace NMM
{

  class ITransportStrategyImpl  : public virtual NMMObject { 
  public:
    ITransportStrategyImpl() { addInterface(new ITransportStrategy(*this)); registerEvents(); };

    virtual ~ITransportStrategyImpl() {};

  protected:

    virtual void setSendValueStream(const string& input_stream) = 0;
    /*declared as instream */

    virtual void setReceiveValueStream(const string& input_stream) /* in-stream */  = 0;


  private:
    void registerEvents();
  };

}

#endif
