
#include "IUsageImpl.hpp"


namespace NMM
{
  
  void IUsageImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IUsage::setUsage_event, new TEDObject2<IUsageImpl, IUsage::usage_t, IUsageNotify*, void(IUsageImpl:: * )(const IUsage::usage_t&, const IUsageNotify*), void >(this, &IUsageImpl::setUsage));
  
    getEventDispatcher().registerEvent(IUsage::unsetUsage_event, new TEDObject2<IUsageImpl, IUsage::usage_t, IUsageNotify*, void(IUsageImpl:: * )(const IUsage::usage_t&, const IUsageNotify*), void >(this, &IUsageImpl::unsetUsage));
  
    getEventDispatcher().registerEvent(IUsage::getUsage_event, new TEDObject0<IUsageImpl, IUsage::usage_t(IUsageImpl:: * )(), IUsage::usage_t >(this, &IUsageImpl::getUsage));
  
    getEventDispatcher().registerEvent(IUsage::getRank_event, new TEDObject2<IUsageImpl, IUsage::usage_t, IUsageNotify*, int(IUsageImpl:: * )(const IUsage::usage_t&, const IUsageNotify*), int >(this, &IUsageImpl::getRank));
  
    getEventDispatcher().registerEvent(IUsage::isMaster_event, new TEDObject2<IUsageImpl, IUsage::usage_t, IUsageNotify*, Result(IUsageImpl:: * )(const IUsage::usage_t&, const IUsageNotify*), Result >(this, &IUsageImpl::isMaster));

  }

}


