
#include "IResourceCollectorImpl.hpp"


namespace NMM
{
  
  void IResourceCollectorImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IResourceCollector::enableResourceProbing_event, new TEDObject0<IResourceCollectorImpl, Result(IResourceCollectorImpl:: * )(), Result >(this, &IResourceCollectorImpl::enableResourceProbing));
  
    getEventDispatcher().registerEvent(IResourceCollector::disableResourceProbing_event, new TEDObject0<IResourceCollectorImpl, Result(IResourceCollectorImpl:: * )(), Result >(this, &IResourceCollectorImpl::disableResourceProbing));
  
    getEventDispatcher().registerEvent(IResourceCollector::setBufferProbeInterval_event, new TEDObject1<IResourceCollectorImpl, unsigned int, void(IResourceCollectorImpl:: * )(const unsigned int&), void >(this, &IResourceCollectorImpl::setBufferProbeInterval));
  
    getEventDispatcher().registerEvent(IResourceCollector::restrictCPUUsage_event, new TEDObject1<IResourceCollectorImpl, float, void(IResourceCollectorImpl:: * )(const float&), void >(this, &IResourceCollectorImpl::restrictCPUUsage));
  
    getEventDispatcher().registerEvent(IResourceCollector::getUsedCPUTime_event, new TEDObject0<IResourceCollectorImpl, Interval(IResourceCollectorImpl:: * )(), Interval >(this, &IResourceCollectorImpl::getUsedCPUTime));
  
    getEventDispatcher().registerEvent(IResourceCollector::getUsedTime_event, new TEDObject0<IResourceCollectorImpl, Interval(IResourceCollectorImpl:: * )(), Interval >(this, &IResourceCollectorImpl::getUsedTime));
  
    getEventDispatcher().registerEvent(IResourceCollector::getMaxReceivedBufferSize_event, new TEDObject0<IResourceCollectorImpl, unsigned long(IResourceCollectorImpl:: * )(), unsigned long >(this, &IResourceCollectorImpl::getMaxReceivedBufferSize));
  
    getEventDispatcher().registerEvent(IResourceCollector::getCPUUsage_event, new TEDObject1<IResourceCollectorImpl, bool, unsigned int(IResourceCollectorImpl:: * )(const bool&), unsigned int >(this, &IResourceCollectorImpl::getCPUUsage));
  
    getEventDispatcher().registerEvent(IResourceCollector::setCPU_event, new TEDObject1<IResourceCollectorImpl, string, Result(IResourceCollectorImpl:: * )(const string&), Result >(this, &IResourceCollectorImpl::setCPU));
  
    getEventDispatcher().registerEvent(IResourceCollector::loadMesh_event, new TEDObject1<IResourceCollectorImpl, string, Result(IResourceCollectorImpl:: * )(const string&), Result >(this, &IResourceCollectorImpl::loadMesh));
  
    getEventDispatcher().registerEvent(IResourceCollector::loadMeshes_event, new TEDObject2<IResourceCollectorImpl, string, string, Result(IResourceCollectorImpl:: * )(const string&, const string&), Result >(this, &IResourceCollectorImpl::loadMeshes));
  
    getEventDispatcher().registerEvent(IResourceCollector::getMesh_event, new TEDObject1<IResourceCollectorImpl, string, Result(IResourceCollectorImpl:: * )(string&), Result >(this, &IResourceCollectorImpl::getMesh));
  
    getEventDispatcher().registerEvent(IResourceCollector::savePoints_event, new TEDObject1<IResourceCollectorImpl, string, Result(IResourceCollectorImpl:: * )(const string&), Result >(this, &IResourceCollectorImpl::savePoints));
  
    getEventDispatcher().registerEvent(IResourceCollector::getUsage_event, new TEDObject1<IResourceCollectorImpl, Format, float(IResourceCollectorImpl:: * )(const Format&), float >(this, &IResourceCollectorImpl::getUsage));
  
    getEventDispatcher().registerEvent(IResourceCollector::getActualUsage_event, new TEDObject0<IResourceCollectorImpl, float(IResourceCollectorImpl:: * )(), float >(this, &IResourceCollectorImpl::getActualUsage));
  
    getEventDispatcher().registerEvent(IResourceCollector::getActualBandwidth_event, new TEDObject0<IResourceCollectorImpl, float(IResourceCollectorImpl:: * )(), float >(this, &IResourceCollectorImpl::getActualBandwidth));
  
    getEventDispatcher().registerEvent(IResourceCollector::getActualBufferSize_event, new TEDObject0<IResourceCollectorImpl, float(IResourceCollectorImpl:: * )(), float >(this, &IResourceCollectorImpl::getActualBufferSize));
  
    getEventDispatcher().registerEvent(IResourceCollector::getCPUperBuffer_event, new TEDObject0<IResourceCollectorImpl, float(IResourceCollectorImpl:: * )(), float >(this, &IResourceCollectorImpl::getCPUperBuffer));
  
    getEventDispatcher().registerEvent(IResourceCollector::getVertex_event, new TEDObject2<IResourceCollectorImpl, Format, RMVertex, Result(IResourceCollectorImpl:: * )(const Format&, RMVertex&), Result >(this, &IResourceCollectorImpl::getVertex));
  
    getEventDispatcher().registerEvent(IResourceCollector::updateVertex_event, new TEDObject3<IResourceCollectorImpl, Format, float, float, Result(IResourceCollectorImpl:: * )(const Format&, const float&, const float&), Result >(this, &IResourceCollectorImpl::updateVertex));
  
    getEventDispatcher().registerEvent(IResourceCollector::addVertex_event, new TEDObject3<IResourceCollectorImpl, Format, float, float, Result(IResourceCollectorImpl:: * )(const Format&, const float&, const float&), Result >(this, &IResourceCollectorImpl::addVertex));
  
    getEventDispatcher().registerEvent(IResourceCollector::setupMesh_event, new TEDObject1<IResourceCollectorImpl, Format, Result(IResourceCollectorImpl:: * )(const Format&), Result >(this, &IResourceCollectorImpl::setupMesh));
  
    getEventDispatcher().registerEvent(IResourceCollector::getActualFormat_event, new TEDObject1<IResourceCollectorImpl, Format, bool(IResourceCollectorImpl:: * )(Format&), bool >(this, &IResourceCollectorImpl::getActualFormat));

  }

}


