
#include "IAudioHandoverSynchronizerImpl.hpp"


namespace NMM
{
  
  void IAudioHandoverSynchronizerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IAudioHandoverSynchronizer::setFirstSinkController_event, new TEDObject1<IAudioHandoverSynchronizerImpl, ISinkController*, Result(IAudioHandoverSynchronizerImpl:: * )(const ISinkController*), Result >(this, &IAudioHandoverSynchronizerImpl::setFirstSinkController));
  
    getEventDispatcher().registerEvent(IAudioHandoverSynchronizer::setSecondSinkController_event, new TEDObject1<IAudioHandoverSynchronizerImpl, ISinkController*, Result(IAudioHandoverSynchronizerImpl:: * )(const ISinkController*), Result >(this, &IAudioHandoverSynchronizerImpl::setSecondSinkController));
  
    getEventDispatcher().registerEvent(IAudioHandoverSynchronizer::switchControllers_event, new TEDObject0<IAudioHandoverSynchronizerImpl, void(IAudioHandoverSynchronizerImpl:: * )(), void >(this, &IAudioHandoverSynchronizerImpl::switchControllers));
  
    getEventDispatcher().registerEvent(IAudioHandoverSynchronizer::setSkew_event, new TEDObject1<IAudioHandoverSynchronizerImpl, Interval, Result(IAudioHandoverSynchronizerImpl:: * )(const Interval&), Result >(this, &IAudioHandoverSynchronizerImpl::setSkew));
  
    getEventDispatcher().registerEvent(IAudioHandoverSynchronizer::setSwitch_event, new TEDObject1<IAudioHandoverSynchronizerImpl, ISwitch*, void(IAudioHandoverSynchronizerImpl:: * )(const ISwitch*), void >(this, &IAudioHandoverSynchronizerImpl::setSwitch));
  
    getEventDispatcher().registerEvent(IAudioHandoverSynchronizer::setMode_event, new TEDObject1<IAudioHandoverSynchronizerImpl, IAudioHandoverSynchronizer::Mode, void(IAudioHandoverSynchronizerImpl:: * )(const IAudioHandoverSynchronizer::Mode&), void >(this, &IAudioHandoverSynchronizerImpl::setMode));
  
    getEventDispatcher().registerEvent(IAudioHandoverSynchronizer::setOverlap_event, new TEDObject1<IAudioHandoverSynchronizerImpl, Interval, void(IAudioHandoverSynchronizerImpl:: * )(const Interval&), void >(this, &IAudioHandoverSynchronizerImpl::setOverlap));
  
    getEventDispatcher().registerEvent(IAudioHandoverSynchronizer::waitForSwitchControllers_event, new TEDObject0<IAudioHandoverSynchronizerImpl, void(IAudioHandoverSynchronizerImpl:: * )(), void >(this, &IAudioHandoverSynchronizerImpl::waitForSwitchControllers));

  }

}


