
#ifndef NMM_IMultipleDeviceImpl_HPP
#define NMM_IMultipleDeviceImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IMultipleDevice.hpp"


namespace NMM
{

  class IMultipleDeviceImpl  : public virtual NMMObject { 
  public:
    IMultipleDeviceImpl() { addInterface(new IMultipleDevice(*this)); registerEvents(); };

    virtual ~IMultipleDeviceImpl() {};

  protected:

    virtual void setDevice(const string& name, const string& value) = 0;

    virtual string getDevice(const string& name) = 0;


  private:
    void registerEvents();
  };

}

#endif
