
#ifndef NMM_IBufferSizeImpl_HPP
#define NMM_IBufferSizeImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IBufferSize.hpp"


namespace NMM
{

  class IBufferSizeImpl  : public virtual NMMObject { 
  public:
    IBufferSizeImpl() { addInterface(new IBufferSize(*this)); registerEvents(); };

    virtual ~IBufferSizeImpl() {};

  protected:

    virtual void setBufferSize(const int& value) = 0;

    virtual int getBufferSize() = 0;


  private:
    void registerEvents();
  };

}

#endif
