
#ifndef NMM_ISeekReceiverImpl_HPP
#define NMM_ISeekReceiverImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "ISeekReceiver.hpp"


namespace NMM
{

  class ISeekRecieverImpl  : public virtual NMMObject { 
  public:
    ISeekRecieverImpl() { addInterface(new ISeekReciever(*this)); registerEvents(); };

    virtual ~ISeekRecieverImpl() {};

  protected:
    /**
     * this method tells aus the new fileposition and the seeked filesize
     *\param pos The new Fileposition
     *\param amount of data seekd
     */

    virtual Result seeked(const u_int64_t& pos, const int64_t& offset) /* in-stream */  = 0;


  private:
    void registerEvents();
  };

}

#endif
