
#ifndef NMM_INetServerImpl_HPP
#define NMM_INetServerImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "INetServer.hpp"


namespace NMM
{

  class INetServerImpl  : public virtual NMMObject { 
  public:
    INetServerImpl() { addInterface(new INetServer(*this)); registerEvents(); };

    virtual ~INetServerImpl() {};

  protected:

    virtual void setPort(const int& port) = 0;

    virtual int getPort() const = 0;

    virtual string getHostName() const = 0;


  private:
    void registerEvents();
  };

}

#endif
