
#include "IBuffersPassedEventImpl.hpp"


namespace NMM
{
  
  void IBuffersPassedEventSenderImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IBuffersPassedEventSender::setBufferCountInterval_event, new TEDObject1<IBuffersPassedEventSenderImpl, int, void(IBuffersPassedEventSenderImpl:: * )(const int&), void >(this, &IBuffersPassedEventSenderImpl::setBufferCountInterval));
  
    getEventDispatcher().registerEvent(IBuffersPassedEventSender::getBufferCountInterval_event, new TEDObject0<IBuffersPassedEventSenderImpl, int(IBuffersPassedEventSenderImpl:: * )() const, int >(this, &IBuffersPassedEventSenderImpl::getBufferCountInterval));

  }
  
  void IBuffersPassedEventReceiverImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IBuffersPassedEventReceiver::buffersPassed_event, new TEDObject1<IBuffersPassedEventReceiverImpl, int, Result(IBuffersPassedEventReceiverImpl:: * )(const int&), Result >(this, &IBuffersPassedEventReceiverImpl::buffersPassed));
  
    getEventDispatcher().registerEvent(IBuffersPassedEventReceiver::getUpstreamBuffersPassed_event, new TEDObject0<IBuffersPassedEventReceiverImpl, int(IBuffersPassedEventReceiverImpl:: * )() const, int >(this, &IBuffersPassedEventReceiverImpl::getUpstreamBuffersPassed));
  
    getEventDispatcher().registerEvent(IBuffersPassedEventReceiver::resetUpstreamBufferCounter_event, new TEDObject0<IBuffersPassedEventReceiverImpl, void(IBuffersPassedEventReceiverImpl:: * )(), void >(this, &IBuffersPassedEventReceiverImpl::resetUpstreamBufferCounter));

  }

}


