
#include "IMethodCallImpl.hpp"


namespace NMM
{
  
  void IMethodCallImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IMethodCall::noArgumentNoReturn_event, new TEDObject0<IMethodCallImpl, void(IMethodCallImpl:: * )(), void >(this, &IMethodCallImpl::noArgumentNoReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::noArgumentIntReturn_event, new TEDObject0<IMethodCallImpl, int(IMethodCallImpl:: * )(), int >(this, &IMethodCallImpl::noArgumentIntReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::oneArgumentInIntReturn_event, new TEDObject1<IMethodCallImpl, int, int(IMethodCallImpl:: * )(const int&), int >(this, &IMethodCallImpl::oneArgumentInIntReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::twoArgumentInIntReturn_event, new TEDObject2<IMethodCallImpl, int, int, int(IMethodCallImpl:: * )(const int&, const int&), int >(this, &IMethodCallImpl::twoArgumentInIntReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::threeArgumentInIntReturn_event, new TEDObject3<IMethodCallImpl, int, int, int, int(IMethodCallImpl:: * )(const int&, const int&, const int&), int >(this, &IMethodCallImpl::threeArgumentInIntReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::fourArgumentInIntReturn_event, new TEDObject4<IMethodCallImpl, int, int, int, int, int(IMethodCallImpl:: * )(const int&, const int&, const int&, const int&), int >(this, &IMethodCallImpl::fourArgumentInIntReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::fiveArgumentInIntReturn_event, new TEDObject5<IMethodCallImpl, int, int, int, int, int, int(IMethodCallImpl:: * )(const int&, const int&, const int&, const int&, const int&), int >(this, &IMethodCallImpl::fiveArgumentInIntReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::oneArgumentOutIntReturn_event, new TEDObject1<IMethodCallImpl, int, int(IMethodCallImpl:: * )(int&), int >(this, &IMethodCallImpl::oneArgumentOutIntReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::twoArgumentOutIntReturn_event, new TEDObject2<IMethodCallImpl, int, int, int(IMethodCallImpl:: * )(int&, int&), int >(this, &IMethodCallImpl::twoArgumentOutIntReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::threeArgumentOutIntReturn_event, new TEDObject3<IMethodCallImpl, int, int, int, int(IMethodCallImpl:: * )(int&, int&, int&), int >(this, &IMethodCallImpl::threeArgumentOutIntReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::fourArgumentOutIntReturn_event, new TEDObject4<IMethodCallImpl, int, int, int, int, int(IMethodCallImpl:: * )(int&, int&, int&, int&), int >(this, &IMethodCallImpl::fourArgumentOutIntReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::fiveArgumentOutIntReturn_event, new TEDObject5<IMethodCallImpl, int, int, int, int, int, int(IMethodCallImpl:: * )(int&, int&, int&, int&, int&), int >(this, &IMethodCallImpl::fiveArgumentOutIntReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::oneArgumentInOutIntReturn_event, new TEDObject1<IMethodCallImpl, int, int(IMethodCallImpl:: * )(int&), int >(this, &IMethodCallImpl::oneArgumentInOutIntReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::twoArgumentInOutIntReturn_event, new TEDObject2<IMethodCallImpl, int, int, int(IMethodCallImpl:: * )(int&, int&), int >(this, &IMethodCallImpl::twoArgumentInOutIntReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::threeArgumentInOutIntReturn_event, new TEDObject3<IMethodCallImpl, int, int, int, int(IMethodCallImpl:: * )(int&, int&, int&), int >(this, &IMethodCallImpl::threeArgumentInOutIntReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::fourArgumentInOutIntReturn_event, new TEDObject4<IMethodCallImpl, int, int, int, int, int(IMethodCallImpl:: * )(int&, int&, int&, int&), int >(this, &IMethodCallImpl::fourArgumentInOutIntReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::fiveArgumentInOutIntReturn_event, new TEDObject5<IMethodCallImpl, int, int, int, int, int, int(IMethodCallImpl:: * )(int&, int&, int&, int&, int&), int >(this, &IMethodCallImpl::fiveArgumentInOutIntReturn));
  
    getEventDispatcher().registerEvent(IMethodCall::stringInArgument_event, new TEDObject1<IMethodCallImpl, string, void(IMethodCallImpl:: * )(const string&), void >(this, &IMethodCallImpl::stringInArgument));
  
    getEventDispatcher().registerEvent(IMethodCall::stringOutArgument_event, new TEDObject1<IMethodCallImpl, string, void(IMethodCallImpl:: * )(string&), void >(this, &IMethodCallImpl::stringOutArgument));
  
    getEventDispatcher().registerEvent(IMethodCall::stringInOutArgument_event, new TEDObject1<IMethodCallImpl, string, void(IMethodCallImpl:: * )(string&), void >(this, &IMethodCallImpl::stringInOutArgument));
  
    getEventDispatcher().registerEvent(IMethodCall::getMethodCallCounter_event, new TEDObject0<IMethodCallImpl, int(IMethodCallImpl:: * )(), int >(this, &IMethodCallImpl::getMethodCallCounter));
  
    getEventDispatcher().registerEvent(IMethodCall::resetMethodCallCounter_event, new TEDObject0<IMethodCallImpl, void(IMethodCallImpl:: * )(), void >(this, &IMethodCallImpl::resetMethodCallCounter));

  }

}


