
#ifndef NMM_ISVGPaintImpl_HPP
#define NMM_ISVGPaintImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "ISVGPaint.hpp"


namespace NMM
{

  class ISVGPaintImpl  : public virtual NMMObject { 
  public:
    ISVGPaintImpl() { addInterface(new ISVGPaint(*this)); registerEvents(); };

    virtual ~ISVGPaintImpl() {};

  protected:

    virtual void setImageHeight(const int& height) = 0;

    virtual void setImageWidth(const int& width) = 0;

    virtual void setShowSVGAnnotation(const bool& ssa) = 0;


  private:
    void registerEvents();
  };

}

#endif
