
#include "IFramerateConverterImpl.hpp"


namespace NMM
{
  
  void IFramerateConverterImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IFramerateConverter::setTimeOffset_event, new TEDObject1<IFramerateConverterImpl, Interval, void(IFramerateConverterImpl:: * )(const Interval&), void >(this, &IFramerateConverterImpl::setTimeOffset));
  
    getEventDispatcher().registerEvent(IFramerateConverter::setTimeOffsetMillisecs_event, new TEDObject1<IFramerateConverterImpl, int, void(IFramerateConverterImpl:: * )(const int&), void >(this, &IFramerateConverterImpl::setTimeOffsetMillisecs));
  
    getEventDispatcher().registerEvent(IFramerateConverter::setFrameOffset_event, new TEDObject1<IFramerateConverterImpl, float, void(IFramerateConverterImpl:: * )(const float&), void >(this, &IFramerateConverterImpl::setFrameOffset));
  
    getEventDispatcher().registerEvent(IFramerateConverter::getTotalInBuffers_event, new TEDObject0<IFramerateConverterImpl, int(IFramerateConverterImpl:: * )() const, int >(this, &IFramerateConverterImpl::getTotalInBuffers));
  
    getEventDispatcher().registerEvent(IFramerateConverter::getTotalOutBuffers_event, new TEDObject0<IFramerateConverterImpl, int(IFramerateConverterImpl:: * )() const, int >(this, &IFramerateConverterImpl::getTotalOutBuffers));
  
    getEventDispatcher().registerEvent(IFramerateConverter::getTotalDroppedBuffers_event, new TEDObject0<IFramerateConverterImpl, int(IFramerateConverterImpl:: * )() const, int >(this, &IFramerateConverterImpl::getTotalDroppedBuffers));
  
    getEventDispatcher().registerEvent(IFramerateConverter::getTotalCopiedBuffers_event, new TEDObject0<IFramerateConverterImpl, int(IFramerateConverterImpl:: * )() const, int >(this, &IFramerateConverterImpl::getTotalCopiedBuffers));

  }

}


