
#include "IOSDOverlayImpl.hpp"


namespace NMM
{
  
  void IOSDOverlayImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IOSDOverlay::addText_event, new TEDObject4<IOSDOverlayImpl, string, string, size_t, size_t, Result(IOSDOverlayImpl:: * )(const string&, const string&, const size_t&, const size_t&), Result >(this, &IOSDOverlayImpl::addText));
  
    getEventDispatcher().registerEvent(IOSDOverlay::printText_event, new TEDObject5<IOSDOverlayImpl, string, string, size_t, size_t, int, Result(IOSDOverlayImpl:: * )(const string&, const string&, const size_t&, const size_t&, const int&), Result >(this, &IOSDOverlayImpl::printText));
  
    getEventDispatcher().registerEvent(IOSDOverlay::removeText_event, new TEDObject1<IOSDOverlayImpl, string, Result(IOSDOverlayImpl:: * )(const string&), Result >(this, &IOSDOverlayImpl::removeText));
  
    getEventDispatcher().registerEvent(IOSDOverlay::addProgessBar_event, new TEDObject4<IOSDOverlayImpl, string, int, int, int, Result(IOSDOverlayImpl:: * )(const string&, const int&, const int&, const int&), Result >(this, &IOSDOverlayImpl::addProgessBar));
  
    getEventDispatcher().registerEvent(IOSDOverlay::addImage_event, new TEDObject4<IOSDOverlayImpl, string, string, int, int, Result(IOSDOverlayImpl:: * )(const string&, const string&, const int&, const int&), Result >(this, &IOSDOverlayImpl::addImage));
  
    getEventDispatcher().registerEvent(IOSDOverlay::setItemOffset_event, new TEDObject3<IOSDOverlayImpl, string, int, int, Result(IOSDOverlayImpl:: * )(const string&, const int&, const int&), Result >(this, &IOSDOverlayImpl::setItemOffset));
  
    getEventDispatcher().registerEvent(IOSDOverlay::setItemText_event, new TEDObject2<IOSDOverlayImpl, string, string, Result(IOSDOverlayImpl:: * )(const string&, const string&), Result >(this, &IOSDOverlayImpl::setItemText));
  
    getEventDispatcher().registerEvent(IOSDOverlay::setItemEnabled_event, new TEDObject2<IOSDOverlayImpl, string, bool, Result(IOSDOverlayImpl:: * )(const string&, const bool&), Result >(this, &IOSDOverlayImpl::setItemEnabled));
  
    getEventDispatcher().registerEvent(IOSDOverlay::disableItems_event, new TEDObject0<IOSDOverlayImpl, Result(IOSDOverlayImpl:: * )(), Result >(this, &IOSDOverlayImpl::disableItems));
  
    getEventDispatcher().registerEvent(IOSDOverlay::doPause_event, new TEDObject1<IOSDOverlayImpl, bool, Result(IOSDOverlayImpl:: * )(const bool&), Result >(this, &IOSDOverlayImpl::doPause));
  
    getEventDispatcher().registerEvent(IOSDOverlay::update_event, new TEDObject0<IOSDOverlayImpl, Result(IOSDOverlayImpl:: * )(), Result >(this, &IOSDOverlayImpl::update));

  }

}


