
#ifndef NMM_IRadioButtonsImpl_HPP
#define NMM_IRadioButtonsImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IRadioButtons.hpp"

#include "IButtonsImpl.hpp"

namespace NMM
{
  /**
   * Radio buttons widget interface.
   * The activateButton methods work slightly different on this kind of widget.
   * If one button is activated, all other buttons are deactivated.
   */

  class IRadioButtonsImpl  : virtual public IButtonsImpl { 
  public:
    IRadioButtonsImpl() { addInterface(new IRadioButtons(*this)); registerEvents(); };

    virtual ~IRadioButtonsImpl() {};

  protected:


  private:
    void registerEvents();
  };

}

#endif
