
#include "ITimeViewImpl.hpp"


namespace NMM
{
  
  void ITimeViewImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ITimeView::setFont_event, new TEDObject1<ITimeViewImpl, string, void(ITimeViewImpl:: * )(const string&), void >(this, &ITimeViewImpl::setFont));
  
    getEventDispatcher().registerEvent(ITimeView::setPrefix_event, new TEDObject1<ITimeViewImpl, string, void(ITimeViewImpl:: * )(const string&), void >(this, &ITimeViewImpl::setPrefix));
  
    getEventDispatcher().registerEvent(ITimeView::setTimeOffset_event, new TEDObject1<ITimeViewImpl, int, void(ITimeViewImpl:: * )(const int&), void >(this, &ITimeViewImpl::setTimeOffset));
  
    getEventDispatcher().registerEvent(ITimeView::setCurrentTime_event, new TEDObject1<ITimeViewImpl, int, void(ITimeViewImpl:: * )(const int&), void >(this, &ITimeViewImpl::setCurrentTime));
  
    getEventDispatcher().registerEvent(ITimeView::getCurrentTime_event, new TEDObject0<ITimeViewImpl, int(ITimeViewImpl:: * )(), int >(this, &ITimeViewImpl::getCurrentTime));
  
    getEventDispatcher().registerEvent(ITimeView::reset_event, new TEDObject0<ITimeViewImpl, void(ITimeViewImpl:: * )(), void >(this, &ITimeViewImpl::reset));

  }

}


