
#include "ISPUDecoderImpl.hpp"


namespace NMM
{
  
  void ISPUDecoderImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISPUDecoder::setPaletteItem_event, new TEDObject5<ISPUDecoderImpl, int, int, int, int, int, Result(ISPUDecoderImpl:: * )(const int&, const int&, const int&, const int&, const int&), Result >(this, &ISPUDecoderImpl::setPaletteItem));
  
    getEventDispatcher().registerEvent(ISPUDecoder::initColorScheme_event, new TEDObject3<ISPUDecoderImpl, int, int, int, Result(ISPUDecoderImpl:: * )(const int&, const int&, const int&), Result >(this, &ISPUDecoderImpl::initColorScheme));
  
    getEventDispatcher().registerEvent(ISPUDecoder::setDVDSelectedButton_event, new TEDObject1<ISPUDecoderImpl, int, Result(ISPUDecoderImpl:: * )(const int&), Result >(this, &ISPUDecoderImpl::setDVDSelectedButton));
  
    getEventDispatcher().registerEvent(ISPUDecoder::setDVDButtonCount_event, new TEDObject1<ISPUDecoderImpl, int, Result(ISPUDecoderImpl:: * )(const int&), Result >(this, &ISPUDecoderImpl::setDVDButtonCount));
  
    getEventDispatcher().registerEvent(ISPUDecoder::setDVDButtonCoords_event, new TEDObject4<ISPUDecoderImpl, int, int, int, int, Result(ISPUDecoderImpl:: * )(const int&, const int&, const int&, const int&), Result >(this, &ISPUDecoderImpl::setDVDButtonCoords));
  
    getEventDispatcher().registerEvent(ISPUDecoder::setDVDButtonScheme_event, new TEDObject1<ISPUDecoderImpl, int, Result(ISPUDecoderImpl:: * )(const int&), Result >(this, &ISPUDecoderImpl::setDVDButtonScheme));

  }

}


