#include "TVGuidePluginManager.hpp"
#include <algorithm>

namespace NMM {

  TVGuidePluginManager::TVGuidePluginManager() {
  }
  TVGuidePluginManager::~TVGuidePluginManager(){

  }

  void TVGuidePluginManager::registerPlugin(TVGuidePlugin* plugin) {
    __plugin_list.push_back(plugin);
  }
  void TVGuidePluginManager::unregisterPlugin(TVGuidePlugin* plugin) {
    list<TVGuidePlugin*>::iterator it = find(__plugin_list.begin(), __plugin_list.end(), plugin);
    if (it != __plugin_list.end())
      __plugin_list.erase(it);
  }

}

