/* NMM - Network-Integrated Multimedia Middleware
 *
 * Copyright (C) 2002-2005
 *                    NMM work group,
 *                    Computer Graphics Lab,
 *                    Saarland University, Germany
 *                    http://www.networkmultimedia.org
 *
 * Maintainer:        Christoph Wellner <chwellner@graphics.cs.uni-sb.de>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */

#ifndef HTTPCONSTANTS_HPP
#define HTTPCONSTANTS_HPP HTTPCONSTANTS_HPP

#define HTTP_EOL "\r\n"

#define HTTP_OK 200

#define HTTP_ACCEPT 202

#define HTTP_MOVED_PERM 301

#define HTTP_MOVED_TEMP 302

#define HTTP_BAD_REQUEST 400

#define HTTP_UNAUTHORIZED 401

#define HTTP_NOT_FOUND 404

#define HTTP_SERVER_ERROR 500

#define TEMPLATE_OPEN "<html><head><title>Embedded WebServer</title></head><body>"

#define TEMPLATE_CLOSE "</body></html>"

#define TEMPLATE_HEADER "<center><h2>blub</h2></center>"

#define TEMPLATE_FOOTER "<hr><center><script language=\"javascript\">document.write(new Date().toLocaleString());</script></center>"

#endif
